## org.codehaus.groovy.grails.cli
Class GrailsScriptRunner

    java.lang.Object
      org.codehaus.groovy.grails.cli.GrailsScriptRunner

    public class GrailsScriptRunner

extends Object

Class that handles Grails command line interface for running scripts

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`GrailsScriptRunner()`
`GrailsScriptRunner(grails.util.BuildSettings settings)`
`GrailsScriptRunner(String grailsHome)`

Method Summary
`int` `executeCommand(String scriptName, String args)`
`int` `executeCommand(String scriptName, String args, String env)`
`PrintStream` `getOut()`
`static void` `main(String[] args)`
`void` `setOut(PrintStream outputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsScriptRunner

    public GrailsScriptRunner()

### GrailsScriptRunner

    public GrailsScriptRunner(String grailsHome)

### GrailsScriptRunner

    public GrailsScriptRunner(grails.util.BuildSettings settings)

Method Detail

### main

    public static void main(String[] args)
                     throws MalformedURLException

  Throws:
    `MalformedURLException`

### getOut

    public PrintStream getOut()

### setOut

    public void setOut(PrintStream outputStream)

### executeCommand

    public int executeCommand(String scriptName,
                              String args)

### executeCommand

    public int executeCommand(String scriptName,
                              String args,
                              String env)

Copyright (c) 2005-2009 The Grails project